Page MenuHomePhabricator

Switch all projects to the new (and yet to be built) summary-html endpoint for page previews
Closed, DuplicatePublic

Description

Before switch

  • ensure all open bugs related to summary endpoint are closed, declined, or stalled

Acceptance Criteria

Switch all projects to summary-html endpoint for page previews

Sign off steps

Related Objects

StatusAssignedTask
Resolvedovasileva
ResolvedJdlrobson
DuplicateNone
DuplicateNone
Resolvedovasileva
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
Resolvedphuedx
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
DuplicateNone
Duplicateovasileva
Resolvedovasileva
DuplicateNone
DeclinedNone
DuplicateJdlrobson
ResolvedMhurd
DeclinedJMinor
Resolvedphuedx
ResolvedPchelolo
ResolvedJdlrobson
DeclinedPchelolo
DeclinedNone
OpenNone
Resolvedphuedx
DeclinedJdlrobson
DuplicateNone
ResolvedFjalapeno
Resolvedphuedx
Declinedpmiazga
DeclinedNone
Resolvedphuedx
DeclinedNone
ResolvedPchelolo
ResolvedbearND
ResolvedMholloway
ResolvedMSantos
ResolvedMholloway
InvalidNone
ResolvedJdlrobson
InvalidNone
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedbearND
ResolvedMholloway
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedbearND
ResolvedJdlrobson
ResolvedMholloway
ResolvedMholloway
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedbearND

Event Timeline

ovasileva created this task.Jun 8 2017, 4:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2017, 4:19 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJun 8 2017, 4:20 PM
Jdlrobson changed the task status from Open to Stalled.Jun 15 2017, 5:55 PM
Jdlrobson added a subscriber: Jdlrobson.
ovasileva moved this task from Backlog to Next Up on the Page-Previews board.Jul 5 2017, 12:37 PM
Jdlrobson renamed this task from Switch all projects to summary-html endpoint for page previews to Switch all projects to the new (and yet to be built) summary-html endpoint for page previews.Jul 13 2017, 6:56 PM
Jdlrobson removed a project: TextExtracts.
ovasileva changed the task status from Stalled to Open.Jul 19 2017, 12:18 PM

Unstalling.

Unstalling.

Why? We can't work on this until we have the new endpoint... and we can't do that until T167429 is done (https://phabricator.wikimedia.org/T167433#3352367)

I think I perceive stalled more as stalled due to a blocker/decision, rather than stalled due to work in progress. As in, if it's a subtask of the correct task, the task itself won't be closed until the subtasks are resolved.

Jdlrobson added subscribers: Vachovec1, Dvorapa, Volker_E and 2 others.EditedNov 6 2017, 9:59 PM

@Fjalapeno following up from lead sync. Per https://phabricator.wikimedia.org/T173639#3674008 @Dvorapa and @Vachovec1 have been keen to enable the new endpoint on cs wiki and provide feedback given the current endpoint is badly broken on cswiki. I think through rolling out there we would uncover the majority of bugs (if any) in the service.

Related: I also had reports from @Volker_E that he's been encountering lots of problems on dewiki beta feature and he was wondering what the current timeline was.
(cc @bearND @Mholloway )

There are no outstanding patches in MCS for the summary feature at the moment and I did an MCS deploy today. We might want to run the compare script again with the latest changes merged to master.
As far as I understand it, the timeline and how we roll this out is up to @ovasileva. If we can deploy for all wikis at the same time that would be easier for the Services team but I think @Pchelolo said that that is doable.

If we can deploy for all wikis at the same time that would be easier for the Services team but I think @Pchelolo said that that is doable.

Yes and yes. Deploying everywhere is easier, but switching just a couple of domains is doable. Please settle on the decision which path we're going and I'll code it up.

There are no outstanding patches in MCS for the summary feature at the moment and I did an MCS deploy today. We might want to run the compare script again with the latest changes merged to master.
As far as I understand it, the timeline and how we roll this out is up to @ovasileva. If we can deploy for all wikis at the same time that would be easier for the Services team but I think @Pchelolo said that that is doable.

As the change will not affect any current users, I think we can go ahead and deploy everywhere.

As the change will not affect any current users, I think we can go ahead and deploy everywhere.

Not really sure what you mean. MCS deploy will not affect anyone, but RESTBase deploy will instantly switch all the users to the new version. MCS deploy was already done, we're thinking about how to expose that in RESTBase

Dvorapa removed a subscriber: Dvorapa.Mar 2 2018, 3:50 PM